package org.seoanej.imindanger;

import java.util.Vector;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class MiAdaptador extends BaseAdapter {

    private final Activity actividad;
    private final Vector<Contacto> lista;

    public MiAdaptador(Activity actividad, Vector<Contacto> lista) {
          super();
          this.actividad = actividad;
          this.lista = lista;
    }

    public View getView(int position, View convertView, ViewGroup parent) {

          LayoutInflater inflater = actividad.getLayoutInflater();
          View view = inflater.inflate(R.layout.elemento_lista, null, true);
          TextView textView =(TextView)view.findViewById(R.id.titulo);
          textView.setText(lista.elementAt(position).getNombre());
          TextView textView2 =(TextView)view.findViewById(R.id.subtitulo);
          textView2.setText(lista.elementAt(position).getTelefono());
          ImageView imageView=(ImageView)view.findViewById(R.id.icono);
          imageView.setImageResource(R.drawable.ic_usuario);
          return view;
    }

    public int getCount() {
          return lista.size();
    }

    public Object getItem(int arg0) {
          return lista.elementAt(arg0);
    }


    public long getItemId(int position) {
          return position;
    }

}
