package org.seoanej.imindanger;

import android.app.Activity;
import android.os.Bundle;
import android.telephony.SmsManager;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class NuevoContacto extends Activity {

	   Button btnGuardar;
	   EditText txtNombre;
	   EditText txtTelefono;
	   IAlmacenContactos almacen;

	   @Override
	   protected void onCreate(Bundle savedInstanceState) {
	      super.onCreate(savedInstanceState);
	      setContentView(R.layout.nuevo_contacto);

	      btnGuardar = (Button) findViewById(R.id.btnGuardar);
	      txtNombre = (EditText) findViewById(R.id.editTextNombre);
	      txtTelefono = (EditText) findViewById(R.id.editTextTelefono);

	      btnGuardar.setOnClickListener(new View.OnClickListener() {
	         public void onClick(View view) {
	        	 guardarContacto();
	         }
	      });

	   }
	   protected void guardarContacto() {
	      Log.i("guardar contacto", "entra");

	      String nombre = txtNombre.getText().toString();
	      String telefono = txtTelefono.getText().toString();

	      try {
	    	  //Guardar telefono en base de datos
	    	  almacen = new AlmacenContactosSQLite(this);
	    	  almacen.guardarContacto(nombre, telefono);
	    	  finish();
	    	  
	      } catch (Exception e) {
	         Toast.makeText(getApplicationContext(),
	         "Error: Guardar telefono en base de datos",
	         Toast.LENGTH_LONG).show();
	         e.printStackTrace();
	      }
	   }
	   @Override
	   public boolean onCreateOptionsMenu(Menu menu) {
	      // Inflate the menu; this adds items to the action bar if it is present.
	      //getMenuInflater().inflate(R.menu.main, menu);
	      return true;
	   }
	}
